;
var OrderApprover = function () {
    var approver = {};

    approver.refuseConfirm = function ( orderId, callback) {
        mui.prompt('请输入您的驳回理由：', '', '提示', ['取消', '确定'], function (e) {
            if (e.index == 1) {
                var params = {orderId: orderId, result: 2,refuseReason:e.value};
                if (!params.orderId) {
                    plus.nativeUI.alert("orderId不能为空!");
                    return;
                }
                callback(params);
            }
        })
    };
    approver.passConfirm = function (orderId, callback) {
        var params = {orderId: orderId, result: 1};
        if (!params.orderId) {
            plus.nativeUI.alert("orderId不能为空!");
            return;
        }
        mui.confirm('确认通过审核吗？', '提示', ['否', '是'], function (e) {
            if (e.index == 1) {
                callback(params);
            }
        })
    };

    approver.refuse = function (url, orderId, callback) {
        mui.prompt('请输入您的驳回理由：', '', '审核', ['取消', '确定'], function (e) {
            if (e.index == 1) {
                var params = {orderId: orderId, result: 2,refuseReason:e.value};
                if (!params.orderId) {
                    plus.nativeUI.alert("orderId不能为空!");
                    return;
                }
                global.sendAjax(url, 'POST', params || {},
                    function (result) {
                        plus.nativeUI.toast("审核成功！");
                        if (callback)
                            callback();
                        else mui.back();
                    }, null);
            }
        })
    };
    approver.pass = function (url, orderId, callback) {
        var params = {orderId: orderId, result: 1};
        if (!params.orderId) {
            plus.nativeUI.alert("orderId不能为空!");
            return;
        }
        mui.confirm('确认通过审核吗？', '审核', ['否', '是'], function (e) {
            if (e.index == 1) {
                global.sendAjax(url, 'POST', params,
                    function (result) {
                        plus.nativeUI.toast("审核成功！");
                        if (callback) callback();
                        else mui.back();
                    }, null);
            }
        })
    };
    return approver;
};