;
var appManager = {};
//版本检测
appManager.versionCheck = function() {

	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		var wgtVer = inf.version;
		var deviceType;
		if(mui.os.android) {
			deviceType = 'android';
		} else {
			deviceType = 'ios';
		}
		global.sendAjax(global.service_url + "/app/versionCheck", "get", {
			deviceType: deviceType,
			version: wgtVer,
			random:Math.random()
		}, function(result) {
			var data = result.data;
			if(data) {
				var newVersion = data.version;
				var downloadUrl = data.url;
				//提示下载
				var btnArray = ['否', '是'];
				mui.confirm('检测到新版本' + newVersion + '是否立即更新？', '提醒', btnArray, function(e) {
					if(e.index == 1) {
//						plus.runtime.openWeb(downloadUrl);
						plus.runtime.openURL(downloadUrl);
//						if(mui.os.android) {
//							//							appManager.upgread(downloadUrl);
////							plus.runtime.openWeb("https://www.pgyer.com/qianzhouerp");
//
//						} else {
////							plus.runtime.openWeb("https://itunes.apple.com/cn/app/%E5%8D%83%E5%91%A8%E4%BA%91%E7%AE%A1%E5%AE%B6/id1438619801?mt=8");
//						}
					} else {
						mui.currentWebview.close();
					}
				});

			}
		},false);
	});

};
appManager.upgread = function(url) {
	plus.nativeUI.showWaiting("下载apk文件...");
	var task = plus.downloader.createDownload(url, {
		filename: "_doc/update/"
	}, function(d, status) {
		if(status == 200) {
			console.log("下载app成功：" + d.filename);
			appManager.install(d.filename);
		} else {
			console.log("下载app失败！");
			plus.nativeUI.alert("下载app失败！");
		}
		plus.nativeUI.closeWaiting();
	});
	//	task.addEventListener("statechanged", function(download, status) {
	//		  if(!download){return;}
	//		  
	//		switch(download.state) {
	//			case 2:
	//				console.log("已连接到服务器");
	//				break;
	//			case 3:
	//				var percent = (download.downloadedSize/download.totalSize)*100;
	//								console.log(download.downloadedSize);
	//												console.log(download.totalSize);
	//				console.log("已下载 " +percent + "%");
	//				break;
	//			case 4:
	//				console.log("下载完成");
	//				break;
	//		}
	//	});

	task.start();
};

appManager.install = function(path) {
	plus.nativeUI.showWaiting("安装app文件...");
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.closeWaiting();
		console.log("安装app文件成功！");
		plus.nativeUI.alert("应用资源更新完成！", function() {
			plus.runtime.restart();
		});
	}, function(e) {
		if(!e) return;
		plus.nativeUI.closeWaiting();
		console.log("安装app文件失败[" + e.code + "]：" + e.message);
		plus.nativeUI.alert("安装app文件失败[" + e.code + "]：" + e.message);
	});
};