;
var positionLocalizer = {
    //获取当前定位信息
    refreshCurrentAddress: function () {
        plus.geolocation.getCurrentPosition(function (position) {
//      	console.log(JSON.stringify(position));
            if(!position.address) return;
            var address = (position.address.province || "") + (position.address.city || "") + (position.address.district || "")
                + (position.address.street || "" )+ (position.address.streetNum || "");
            if (address) {
                global.userInfo.setAddress(address);
            }
//             mui.toast("当前地址：" + address);
            return address;
        }, function (e) {
//          console.log('Gelocation Error: code - ' + e.code + '; message - ' + e.message);
            switch (e.code) {
                case 10:
                    mui.alert('请开启应用的定位权限', '温馨提示', '确定', function () {
                    }, 'div');
                    break;
                case 9:
                    mui.alert('请开启手机定位服务', '温馨提示', '确定', function () {
                    }, 'div');
                    break;
                case 2:
                    if (e.message.indexOf("[geolocation:13]") > -1) {
                        //如果网络开启，定位失败，提示检查定位权限
                        mui.alert('请开启应用的定位权限', '温馨提示', '确定', function () {
                        }, 'div');
                    }
                    if (e.message.indexOf("[geolocation:14]") > -1) {
                        //如果应用的权限开了，提示网络异常
                        mui.alert('请检查网络是否正常', '温馨提示', '确定', function () {
                        }, 'div');
                    }
                    break;
                case e.PERMISSION_DENIED:
                    mui.alert('请求定位被拒绝', '温馨提示', '确定', function () {
                    }, 'div');
                    break;
                case e.POSITION_UNAVAILABLE:
                    mui.alert("位置信息不可用", '温馨提示', '确定', function () {
                    }, 'div');
                    break;
                case e.TIMEOUT:
                    mui.alert("获取位置信息超时", '温馨提示', '确定', function () {
                    }, 'div');
                    break;
                case e.UNKNOWN_ERROR:
                    mui.alert("未知错误", '温馨提示', '确定', function () {
                    }, 'div');
                    break;
            }
            global.userInfo.setAddress("定位失败!");
            return "定位失败";
        }, {
            //超时未获取到经纬度信息  执行失败回调  (默认为5秒)
            timeout: 3000,
            //要求浏览器获取最佳结果
            enableHighAccuracy: true
        });

    }

};