var utils = {
    lengthValidate: function (value, length) {
        length = length || 0;
        if (!value || value.length < length) return false;
        return true;
    },
    jsonify: function (obj) {
        var seen = [];
        var json = JSON.stringify(obj, function (key, value) {
            if (typeof value === 'object') {
                if (!seen.indexOf(value)) {
                    return '__cycle__' + (typeof value) + '[' + key + ']';
                }
                seen.push(value);
            }
            return value;
        }, 4);
        return json;
    }
};