/***
 * 
 * 客户操作权限控制
 * 
 * **/

var renderWithPermission = function(statusValue) {

	var availableIdArray = [];

	if(statusValue == "") {
		availableIdArray.push("yixiang");
		availableIdArray.push("message-container");
	}

	//潜在客户操作权限
	if(statusValue == customerStatus.qianZai) {
		//转为意向
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_convert_yxkh)) {
			availableIdArray.push("yixiang");
		}
		//转为弃单
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_convert_qdkh)) {
			availableIdArray.push("qidan");
		}
		//发送短信
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_send_sms)) {
			availableIdArray.push("message-container");
		}
		//客户转移（指派客户）
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_send_transfer)) {
			availableIdArray.push("zhipai");
		}
		//客户编辑
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_base_edit)) {
			availableIdArray.push("ziliao");
		}
		//客户跟进
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_add_contact)) {
			availableIdArray.push("genjin");
		}

	}
	//意向客户操作权限
	if(statusValue == customerStatus.yiXiang) {
		//合同录入
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_contract_entry)) {
			availableIdArray.push("hetong");
		}
		//转为弃单
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_convert_qdkh)) {
			availableIdArray.push("qidan");
		}
		//上传方案报价
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_scheme_upload)) {
			availableIdArray.push("baojia");
		}
		//绑定方案报价
		availableIdArray.push("binding_baojia");
		//资料补充
		availableIdArray.push("buchong");
		//设计申请
		availableIdArray.push("sheji");
		//请购申请
//		availableIdArray.push("requisitions");
		//发送短信
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_send_sms)) {
			availableIdArray.push("message-container");
		}
		//客户转移（指派客户）
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_send_transfer)) {
			availableIdArray.push("zhipai");
		}
		//客户编辑
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_base_edit)) {
			availableIdArray.push("ziliao");
		}
		//客户跟进
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_add_contact)) {
			availableIdArray.push("genjin");
		}

	}
	//签约客户操作权限
	if(statusValue == customerStatus.qianYue) {
		//业务回款
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_apply_payment)) {
			availableIdArray.push("huikuan");
		}
		//上传方案报价
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_scheme_upload)) {
			availableIdArray.push("baojia");
		}
		//绑定方案报价
		availableIdArray.push("binding_baojia");
		//请购申请
		availableIdArray.push("requisitions");
		//发货申请
		availableIdArray.push("delivery");
		//发送短信
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_send_sms)) {
			availableIdArray.push("message-container");
		}
		//客户编辑
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_base_edit)) {
			availableIdArray.push("ziliao");
		}
		//客户跟进
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_add_contact)) {
			availableIdArray.push("genjin");
		}
	}

	//待开工客户操作权限
	if(statusValue == customerStatus.daiKaiGong) {
		//业务回款
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_apply_payment)) {
			availableIdArray.push("huikuan");
		}
		//上传方案报价
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_scheme_upload)) {
			availableIdArray.push("baojia");
		}
		//绑定方案报价
		availableIdArray.push("binding_baojia");
		//请购申请
		availableIdArray.push("requisitions");
		//发送短信
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_send_sms)) {
			availableIdArray.push("message-container");
		}
		//客户编辑
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_base_edit)) {
			availableIdArray.push("ziliao");
		}
		//客户跟进
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_add_contact)) {
			availableIdArray.push("genjin");
		}
	}

	//施工中客户操作权限
	if(statusValue == customerStatus.shiGongZhong) {
		//业务回款
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_apply_payment)) {
			availableIdArray.push("huikuan");
		}
		//上传方案报价
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_scheme_upload)) {
			availableIdArray.push("baojia");
		}
		//绑定方案报价
		availableIdArray.push("binding_baojia");
		//请购申请
		availableIdArray.push("requisitions");
		//发送短信
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_send_sms)) {
			availableIdArray.push("message-container");
		}
		//客户编辑
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_base_edit)) {
			availableIdArray.push("ziliao");
		}
		//客户跟进
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_add_contact)) {
			availableIdArray.push("genjin");
		}
	}

	//已完工客户操作权限
	if(statusValue == customerStatus.yiWanGong) {
		//业务回款
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_apply_payment)) {
			availableIdArray.push("huikuan");
		}
		//发送短信
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_send_sms)) {
			availableIdArray.push("message-container");
		}
		//客户编辑
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_base_edit)) {
			availableIdArray.push("ziliao");
		}
		//客户跟进
		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_add_contact)) {
			availableIdArray.push("genjin");
		}
		//分享推荐
//		if(global.userInfo.hasPermission(appPermissionKeys.customer_action_base_edit)) {
			availableIdArray.push("fenxiang");
//		}
	}

	for(var i = 0; i < availableIdArray.length; i++) {
		domUtils.show("#" + availableIdArray[i]);
	}

};